Subject: Re: [Monami6] MR <-> MNN

From: Ryuji Wakikawa <[email-masked]>
Date: Wed, 5 Jul 2006 14:48:44 +0900

Hi Tom

On 2006/06/14, at 19:13, Tom Wan wrote:

> Hi Thierry:
>
> It is true that normal policy routing has nothing to do with  
> mobility support.
> Usually, they are defined in the Qos related standards such as rsvp  
> etc.
>
> But in the mcoa scenarios, the choose of coa is a kind of policy  
> too, and the
> choice will lead todifferent routing method.

correct

> In the scenario I mentioned,  when MR receives a packet from MNN,  
> it must
> encapsulate it into a tunnel. Thus it must decide which COA to use  
> as the tunnel end.
> How can MR decide this? If the packet is ESP encrypted,  MR knows  
> nothing about
> the transport layer information of the packet.  So it can not  
> decide which COA to use.
> Do you think that it has nothing to do with mobility management?
> To deal with this kind of packets, MR may not be able to use  
> current flow binding/filtering policy,
> I think.
that's why thierry mentioned MR-MNN information exchange.
This information exchange may be needed to support NEMO.
MNN may need to know which interfaces are up on MR.
MR may need to know which flow MNN want to use which interface...etc.

ryuji

> I think other solutions may not be suitable with this scenario too.
> So maybe we should mention it in the ps.
> Do you think so?
>
>
> BR
> Tom
>
> ----- Original Message ----- From: "Thierry Ernst"  
> <[email-masked]>
> To: "Monami6 WG" <[email-masked]>
> Sent: Wednesday, June 14, 2006 5:47 PM
> Subject: Re: [Monami6] MR <-> MNN
>
>
>>
>> Hi Tom,
>>
>> What I said is that policy routing has nothing to do with mobility
>> support, so this has nothing to do with MIP and support policy  
>> routing
>> is orthogonal to a feature to support mobility. In addition, such a
>> feature would be useful in mobile environments as well as in fixed
>> environements.
>>
>> Thierry.
>>
>>
>> On Wed, 14 Jun 2006 16:59:18 +0800
>> Tom Wan <[email-masked]> wrote:
>>
>>> Hi,Thierry :
>>>
>>> Mobility managemant procedure is implemented on MR, MNN may not  
>>> support mip
>>> protocol.
>>> So it seems no way to solve this problem. Maybe MR should only  
>>> apply the
>>> policy on those packets
>>> whose source or destination address is MR. Or MR must ignore the  
>>> policy.
>>> Maybe the ps draft should
>>> mention this point? Just my own opinion.
>>>
>>> BR
>>> Tom
>>>
>>> ----- Original Message ----- From: "Thierry Ernst"  
>>> <[email-masked]>
>>> To: "Monami6 WG" <[email-masked]>
>>> Sent: Wednesday, June 14, 2006 4:21 PM
>>> Subject: [Monami6] MR <-> MNN
>>>
>>>
>>> >
>>> >
>>> >> Anyway, the other additional tool that may be needed is a  
>>> protocol to
>>> >> allow the MNN to inform the MR about the policy for each SPI  
>>> value...
>>> >> However, i am not sure that this would be such a good idea,  
>>> since it
>>> >> would require the host to be involved and in the current nemo  
>>> approach
>>> >> the nemo support is transparent to MNN. Besides this would  
>>> only be
>>> >> needed for the encrypted traffic...
>>> >
>>> > Well, this has nothing to do with mobility management, so nothing
>>> > "forbids" such an exchange of information. It would have some  
>>> value, > but
>>> > not only in the mobility context, though, as for other things,  
>>> this is
>>> > in mobile environments where interfaces come up and down at  
>>> different
>>> > locations in the network topology that it would be the most  
>>> useful.
>>> >
>>> > Thierry
>>> > -- > Thierry ERNST, PhD
>>> > INRIA Rocquencourt Project-Team IMARA
>>> > +33 1 39 63 59 30 (office)
>>> >
>>> >
>>> > _______________________________________________
>>> > Monami6 mailing list
>>> > [email-masked]
>>> > https://www1.ietf.org/mailman/listinfo/monami6
>>> >
>>>
>>>
>>>
>>> _______________________________________________
>>> Monami6 mailing list
>>> [email-masked]
>>> https://www1.ietf.org/mailman/listinfo/monami6
>>>
>>
>>
>> -- 
>> Thierry ERNST, PhD
>> INRIA Rocquencourt Project-Team IMARA
>> +33 1 39 63 59 30 (office)
>>
>>
>> _______________________________________________
>> Monami6 mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/monami6
>
>
>
> _______________________________________________
> Monami6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/monami6
>

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6